Skip to main content
GET
/
events
List events
curl --request GET \
  --url https://api.mailrify.com/events \
  --header 'Authorization: Bearer <token>'
{
  "events": [
    {
      "id": "<string>",
      "name": "<string>",
      "data": {},
      "projectId": "<string>",
      "contactId": "<string>",
      "emailId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key authentication. Secret keys (sk_*) are required for all endpoints except /v1/track. Public keys (pk_*) only work with the /v1/track endpoint for client-side event tracking. The project is automatically derived from the key.

Query Parameters

eventName
string

Filter by event name

limit
integer
default:100

Maximum events to return

Required range: 1 <= x <= 1000

Response

200 - application/json

List of events

events
object[]